Modeller, python error when removing an algorithm

2014-07-08 02:29 AM - Marcin Bochinski

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 19216

Description

New description:

in QGIS 2.4 edit the attach model and try remove the "list unique values" algorithm, a python error will show

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/processing/modeler/ModelerGraphicItem.py", line 361, in mousePressEvent

    self.action()

  File "/usr/share/qgis/python/plugins/processing/modeler/ModelerGraphicItem.py", line 200, in removeElement

    if not self.model.removeAlgorithm(self.elementIndex):

  File "/usr/share/qgis/python/plugins/processing/modeler/ModelerAlgorithm.py", line 282, in removeAlgorithm

    val = self.algOutputs[index][out.name]

KeyError: 'TOTAL_VALUES'

this didn't happened in QGIS 2.2

-----------------------

Old description:

Hi,

i try to find similar problem byt i don't see.

I use Win8.1 and try on Win7.

When i try to delete tile with "List unique values" then i have this error:

Traceback (most recent call last):

  File "D:/Geodezja/QGISCH~1/apps/qgis/./python/plugins\\processing\\modeler\\ModelerGraphicItem.py", line 361, in

mousePressEvent

    self.action()

  File "D:/Geodezja/QGISCH~1/apps/qgis/./python/plugins\\processing\\modeler\\ModelerGraphicItem.py", line 200, in

removeElement

    if not self.model.removeAlgorithm(self.elementIndex):

  File "D:/Geodezja/QGISCH~1/apps/qgis/./python/plugins\\processing\\modeler\\ModelerAlgorithm.py", line 282, in

removeAlgorithm

    val = self.algOutputs[index][out.name]

KeyError: 'TOTAL_VALUES'

Wersja Pythona:

2.7.5 (default, May 15 2013, 22:44:16) [MSC v.1500 64 bit (AMD64)]
Wersja QGIS:

2.4.0-Chugiak Chugiak, 8fdd08a

But in QGIS 2.2 i can delete this tile and i don't have error.

Ok, i saved my model without "List unigues values" and execute in QGIS 2.4 then in log i see:

Running Clip [5/45]

Parameters: INPUT =C:/Users/Bohyn/Desktop/Marcin/B-FIRST/DANE/bFirst_wektor.gdb|layername=KSOCH_OCHK_przyc,

OVERLAY =C:\\Users\\Bohyn\\AppData\\Local\\Temp\\processing\\d758f610c3a447818293df6db1e62d4d\\RESULT.shp

Converting outputs

Outputs: OUTPUT =C:\\Users\\Bohyn\\AppData\\Local\\Temp\\processing\\05e4bbf2c3f045059b4e23c22136a781\\OUTPUT.shp

OK. Execution took 0.264 ms (1 outputs).

Prepare algorithm 5: Clip

Running Clip [6/45]

Parameters: INPUT =C:/Users/Bohyn/Desktop/Marcin/B-FIRST/DANE/bFirst_wektor.gdb|layername=N2000, OVERLAY

=C:\\Users\\Bohyn\\AppData\\Local\\Temp\\processing\\d758f610c3a447818293df6db1e62d4d\\RESULT.shp

Converting outputs

Outputs: OUTPUT

=C:\\Users\\Bohyn\\AppData\\Local\\Temp\\processing\\70c80d595a4447d2b8eeb7421d9c15e5\\OUTPUT.shp

OK. Execution took 0.373 ms (1 outputs).

Prepare algorithm 6: Clip

Running Clip [7/45]

Parameters: INPUT =C:/Users/Bohyn/Desktop/Marcin/B-FIRST/DANE/bFirst_wektor.gdb|layername=KSOCH_rezerwaty_przyc,

OVERLAY =C:\\Users\\Bohyn\\AppData\\Local\\Temp\\processing\\d758f610c3a447818293df6db1e62d4d\\RESULT.shp

Failed

Error executing algorithm 6 [Errno 9] Bad file descriptor See log for more details

Can anyone help?

History

#1 - 2014-07-09 02:05 PM - Jürgen Fischer

- Subject changed from QGIS 2.4 Graphical modeler - List unique values - Python error - Errno 9 to modeler - List unique values - Python error - Errno 9

- Category set to 94

#2 - 2014-07-11 02:09 AM - Giovanni Manghi

- Status changed from Open to Feedback

maybe you have on old Processing version masking the new one, where this issue is fixed (works here).

Delete the folder

c:\\users\\yourusername\\.qgis\\python\\plugins\\processing

if you have one, and test again.

#3 - 2014-07-11 03:40 AM - Marcin Bochinski
yeah, I know. I tried this. Also I tried on a few computers. There is the same problem.

#4 - 2014-07-11 03:42 AM - Giovanni Manghi

Marcin Bochinski wrote:

yeah, I know. I tried this. Also I tried on a few computers. There is the same problem.

then please attach sample data (and specify what column to test).

#5 - 2014-07-11 04:28 AM - Marcin Bochinski

I'm sorry but I can't attach files. These are the company's files. But first error "Traceback..." i have without any data.

#6 - 2014-07-17 05:56 AM - Giovanni Manghi

Marcin Bochinski wrote:

I'm sorry but I can't attach files. These are the company's files. But first error "Traceback..." i have without any data.

does it happens if you install qgis in a standard folder (not in D:/Geodezja/)?

does it happens if you use as input not a .gdb file?

#7 - 2014-07-18 12:32 PM - Marcin Bochinski

- File graphical_modeler_traceback_error.model added

Yeah i try install to standard folder, also i try simple and advance install.

I think that "traceback.." error has something common with wrong save file. Now i use qgis 2.2 and there when i add new algrithm, save my model and open

again open model i see "traceback..." error. But I come back to previous version and again and the same algrithm and i don't have error.

Ok, I attached small section of my model with "traceback ..." error on QGIS 2.4 when i try delete "List unique values" (no problem on qgis 2.2).

Second thing. I saved my input files to .shp and also don't work and i saw "[Errno 9] Bad file descriptor". In this model i use Extract by attribute, when i

choose other attribute then i see error on other algrithm.

#8 - 2014-07-21 08:31 AM - Giovanni Manghi

- Subject changed from modeler - List unique values - Python error - Errno 9 to Modeller, python error when removing an algorithm

- Status changed from Feedback to Open

- Assignee set to Victor Olaya

I changed the title and description of the ticket, to be more clear.

For the second issue you should file a separate ticket, with sample model and data attached.
#9 - 2014-10-31 01:11 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed

it is fine on master.

#10 - 2015-06-07 04:31 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core

Files

graphical_modeler_traceback_error.model 10.4 KB 2014-07-18 Marcin Bochinski
